#landing {
    justify-content: space-between;
    width: 100vw;
    
    padding: var(--header-size, 0) calc(var(--header-size, 0px) + var(--padding, 0px));
    gap: var(--padding, 0px);
}

#landing > .details,
#landing > .cards {
    height: 100%;
}

#landing > .details {
    justify-content: space-between;
    flex-shrink: 0;
    max-width: 37.5rem;
    gap: 2rem;
}

#landing > .details > span[data-available="0"] { --color: 208, 168, 168; }
#landing > .details > span[data-available="1"] { --color: 63, 148, 191; }

#landing > .details > span {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    
    white-space: nowrap;
    
    color: rgb(var(--color, 0, 0, 0));
    background-color: rgba(var(--color, 0, 0, 0), 0.05);
    border-radius: 2rem;
    
    font-weight: 600;
    font-size: 1rem;
    
    line-height: 1rem;
    letter-spacing: calc(1rem * var(--letter-spacing) * 0.5);
    
    padding: 1rem 1.5rem;
    gap: 1rem;
}

#landing > .details > span::before {
    content: "";
    background-color: rgb(var(--color, 0, 0, 0));
    
    width: 0.35rem;
    height: 0.35rem;
    
    border-radius: 50%;
}

#landing > .details > h2 {
    --font-size: 8.75rem;

    font-weight: 800;
    font-size: var(--font-size, 0px);
    
    line-height: calc(var(--font-size, 0px) * 0.75);
    letter-spacing: calc(var(--font-size, 0px) * var(--letter-spacing) * 0.25);
    
    width: 100%;
}

#landing > .details > p {
    --font-size: 1rem;
    
    font-weight: 400;
    font-size: var(--font-size, 0px);
    
    line-height: calc(var(--font-size, 0px) * 1.5);
    letter-spacing: calc(var(--font-size, 0px) * var(--letter-spacing) * 0.5);
    
    width: 100%;
}

#landing > .details > a {
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    border-radius: 2rem;
    
    font-weight: 500;
    font-size: 1rem;
    
    outline: 1px solid rgba(0, 0, 0, 0);
    outline-offset: 1.375rem;
    
    line-height: 1.175rem;
    letter-spacing: calc(1rem * var(--letter-spacing));
    
    padding: 1rem 2rem;
    
    transition: outline-color var(--transition), outline-offset var(--transition);
}

#landing > .details > a:hover {
    outline-color: rgba(0, 0, 0, 0.1);
    outline-offset: calc(1.375rem / 2);
}

#landing > .cards {
    flex-shrink: 1;
    flex-grow: 1;
    
    width: 100%;
    max-width: 52rem;
    height: calc(2rem * 3 + 48px + 315px + 48px + 50.8px);
    
    gap: 1rem;
}

#landing > .cards > layout-row {
    flex-shrink: 1;
    flex-grow: 1;
    width: 100%;
    height: 50%;
    gap: 1rem;
}

#landing > .cards > :nth-child(1) { height: calc(60% - 1rem / 2); }
#landing > .cards > :nth-child(2) { height: calc(40% - 1rem / 2); }
#landing > .cards > :nth-child(1) > :nth-child(1) { width: calc(45% - 1rem / 2); }
#landing > .cards > :nth-child(1) > :nth-child(2) { width: calc(55% - 1rem / 2); }
#landing > .cards > :nth-child(2) > :nth-child(1) { width: calc(65% - 1rem / 2); }
#landing > .cards > :nth-child(2) > :nth-child(2) { width: calc(35% - 1rem / 2); }

#landing > .cards .card {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
    
    flex-shrink: 1;
    flex-grow: 1;
    
    background-color: rgb(237, 238, 240);
    border-radius: 1.5rem;
    
    height: 100%;
    padding: 2rem;
    gap: 1rem;
}

#landing > .cards .card > .about {
    flex-shrink: 0;
    width: 100%;
    gap: 0.5rem;
}


#landing > .cards .card > .about > h3 {
    font-weight: 600;
    font-size: 1.85rem;
    line-height: 1.85rem;
    letter-spacing: calc(1.85rem * var(--letter-spacing) / 2);
}

#landing > .cards .card > .about > p {
    color: rgba(0, 0, 0, 0.25);
    
    font-weight: 500;
    font-size: 1rem;
    
    line-height: 1rem;
    letter-spacing: calc(1rem * var(--letter-spacing) / 2);
}

#landing > .cards .card > .skills {
    gap: 0.5rem;
}

#landing > .cards .card > .skills > .title {
    color: rgba(0, 0, 0, 0.75);
    font-weight: 500;
    font-size: 1rem;
    
    white-space: nowrap;
    line-height: 1rem;
    letter-spacing: calc(1rem * var(--letter-spacing) * 0.5);
}

#landing > .cards .card > .skills > .skill {
    color: rgb(240, 240, 240);
    background-color: rgb(0, 0, 0);
    border-radius: 2rem;
    
    font-weight: 500;
    font-size: 1rem;
    
    line-height: 1rem;
    white-space: nowrap;
    letter-spacing: calc(1rem * var(--default-letter-spacing) * 0.5);
    
    padding: 0.625rem 1rem;
}

#landing > .cards img.card {
    -o-object-position: center top;
    object-position: center top;
    padding: 0;
}

#landing > .cards > layout-row:nth-child(2) > .card > p {
    color: rgba(0, 0, 0, 0.75);
    
    font-weight: 500;
    font-size: 1rem;
    
    line-height: 1rem;
    letter-spacing: calc(1rem * var(--letter-spacing) / 2);
}

@media (max-width: 1450px) {
    #landing > .cards > :nth-child(1) > :nth-child(1) {
        display: none;
    }
}

@media (max-width: 1240px) {
    #landing {
        flex-direction: column;
        padding: 2rem;
    }
    
    #landing > .cards {
        order: -1;
        max-width: none;
    }
    
    #landing > .cards > :nth-child(1) > :nth-child(1) {
        display: flex;
    }
    
    #landing > .cards > :nth-child(1) > :nth-child(2) {
        width: auto;
    }
}

@media (max-width: calc(37.5rem + 2rem * 2)) {
    #landing > .details {
        container-type: inline-size;
        width: 100%;
    }
    
    #landing > .details > h2 {
        --font-size: 23.85cqi;
    }
    
    #landing > .details > a {
        text-align: center;
        width: 100%;
        padding: 1.25rem 2rem;
    }
    
    #landing > .cards {
        height: auto;
    }
    
    #landing > .cards > :nth-child(1) {
        flex-direction: column;
    }
    
    #landing > .cards > :nth-child(1) > .card {
        width: 100%;
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1) {
        position: relative;
        overflow: hidden;
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1)::before,
    #landing > .cards > :nth-child(1) > .card:nth-child(1)::after {
        content: "";
        position: absolute;
        
        background: rgb(240, 240, 240);
        
        top: 0;
        
        width: 2rem;
        height: 100%;
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1)::before {
        border-radius: 1.5rem 0 0 1.5rem;
        background: linear-gradient(to right, rgba(240, 240, 240, 1) 0%, rgba(240, 240, 240, 0) 100%);
        left: 0;
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1)::after {
        border-radius: 0 1.5rem 1.5rem 0;
        background: linear-gradient(to left, rgba(240, 240, 240, 1) 0%, rgba(240, 240, 240, 0) 100%);
        right: 0;
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1) > .skills {
        flex-direction: row;
        overflow-x: scroll;
        width: calc(100% + 2rem * 2 - 2px);
        padding: 0 2rem;
        margin: 0 calc(-2rem + 1px);
    }
    
    #landing > .cards > :nth-child(1) > .card:nth-child(1) > .skills > .title {
        display: none;
    }
    
    #landing > .cards > :nth-child(1) > img.card {
        aspect-ratio: 1.25;
    }
    
    #landing > .cards > :nth-child(2) {
        display: none;
    }
}